Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.autodetect
Class WindowsFontDirFinder

    java.lang.Object
      org.apache.fop.fonts.autodetect.WindowsFontDirFinder

All Implemented Interfaces:
  FontFinder

public class WindowsFontDirFinder
extends java.lang.Object
implements FontFinder

FontFinder for native Windows platforms

Constructor Summary
`WindowsFontDirFinder()`

Method Summary
`java.util.List` | `find()` Finds a list of font files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsFontDirFinder

    public WindowsFontDirFinder()

Method Detail

### find

    public java.util.List find()

  Finds a list of font files.

  Specified by:
    `find` in interface `FontFinder`
  Returns:
    a list of detected font files

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.